;;; conf/tags.fnl --- Tag configuration

;;; Code:

(local awful (require :awful))
(local beautiful (require :beautiful))

;;;
;; Configuration

(local layouts [awful.layout.suit.tile
                awful.layout.suit.floating])

(set awful.layout.layouts layouts)

;; TODO Rasterize?
(local tags [:firefox.png :code.png :code.svg])

(let [icon-path (.. (os.getenv "HOME") "/.config/awesome/theme/icons/tag/")]
 (awful.screen.connect_for_each_screen
  (lambda [s]
    (each [n tag (ipairs tags)]
      (awful.tag.add
       n {:icon (.. icon-path tag)
          :icon_only true
          :layout (. layouts 1)
          :gap_single_client false
          :gap beautiful.useless_gap
          :screen s
          :selected (= n 1)})))))

{}
;;; conf/tags.fnl ends here
